#!/bin/bash

VERSION=$(echo "${CI_COMMIT_TAG#*v}" | cut -d'-' -f1)
PATCHLEVEL=$(echo "${CI_COMMIT_TAG}" | cut -d'-' -f2)
apt-get -qq update
apt-get -qqy install "${CI_PROJECT_DIR}/gitea_${VERSION}-${PATCHLEVEL}_amd64.deb"
systemctl start gitea
sleep 10
if ! systemctl is-active gitea; then
  journalctl -lu gitea --no-pager
fi
